def unionWith(m1, m2, f):
    combined = dict()

    combKeys = set.union(set(m1.keys()), set(m2.keys()))

    for k in combKeys:
        if k in m1 and k in m2:
            combined[k] = f(m1[k], m2[k])
        elif k in m1 and k not in m2:
            combined[k] = m1[k]
        elif k not in m1 and k in m2:
            combined[k] = m2[k]

    return combined

def unionsWith(ms, f, df):
    combined = dict()

    combKeys = set.union(*[set(m.keys()) for m in ms])

    for k in combKeys:
        combined[k] = f([m.get(k, df) for m in ms])

    return combined

def union(m1, m2):
    combined = dict()

    if set(m1.keys()).intersection(m2.keys()):
        raise ValueError("non distinct keys")

    combKeys = set.union(set(m1.keys()), set(m2.keys()))

    for k in combKeys:
        if k in m1:
            combined[k] = m1[k]
        elif k in m2:
            combined[k] = m2[k]

    return combined
    

def map(m, f):
    return dict([(k, f(v)) for k, v in m.items()])

def mapWithKey(m, f):
    return dict([(k, f(k, v)) for k, v in m.items()])

def relabel(m, kms):
    m1 = dict()
    for k, v in m:
        for km in kms.get(k, []):
            m1[km] = v

    return m1

def filter(m, f):
    return dict([(k, v) for k, v in m.items() if f(v)])
